Update Allowlist

In order for addresses to deposit into your vault, you will need to add them to the vault’s allowlist.

This endpoint returns a transaction that when signed, will either add or remove the addresses you passed from your vault’s allowlist.

Depending on how you plan to sign the transaction we provide 2 transaction formats in the response. View the guide that explains what you need to sign and how.

  • the unsigned_transaction_serialized, the RLP-encoded transaction object. It can be decoded to show the transaction details.
  • the unsigned_transaction_hashed: the signing payload, which is a hash of the unsigned serialized transaction and is the payload you will sign with your private key. Use this for raw signing if your custody solution supports it.
Path Params
string
required

Address of the Vault

Body Params
string
enum
required

Network name

Allowed:
wallet_address
array
required

A list of eth wallet addresses to add or remove from the allow list

wallet_address*
boolean
required

Sets the address to allowed or not allowed

Responses

400

Failed request

401

Invalid API key

422

Invalid request

Language
LoadingLoading…
Response
Choose an example:
application/json